<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
ReplicationTransportDelegate Delegate
See Also Send Feedback

The function used to transmit data using the replication application's communication infrastructure.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public delegate int ReplicationTransportDelegate(
    	DatabaseEntry control,
    	DatabaseEntry rec,
    	LSN lsn,
    	int envid,
    	uint flags
    )

Visual Basic (Declaration)

    Public Delegate Function ReplicationTransportDelegate ( _
    	control As DatabaseEntry, _
    	rec As DatabaseEntry, _
    	lsn As LSN, _
    	envid As Integer, _
    	flags As UInteger _
    ) As Integer

Visual C++

    public delegate int ReplicationTransportDelegate(
    	DatabaseEntry^ control,
    	DatabaseEntry^ rec,
    	LSN^ lsn,
    	int envid,
    	unsigned int flags
    )

#### Parameters

control
  Type: BerkeleyDB..::.DatabaseEntry
  The first of the two data elements to be transmitted by the send function.

rec
  Type: BerkeleyDB..::.DatabaseEntry
  The second of the two data elements to be transmitted by the send function.

lsn
  Type: BerkeleyDB..::.LSN
  If the type of message to be sent has an LSN associated with it, then this is the LSN of the record being sent. This LSN can be used to determine that certain records have been processed successfully by clients.

envid
  Type: System..::.Int32

  A positive integer identifier that specifies the replication environment to which the message should be sent.

  The special identifier EID_BROADCAST indicates that a message should be broadcast to every environment in the replication group. The application may use a true broadcast protocol or may send the message in sequence to each machine with which it is in communication. In both cases, the sending site should not be asked to process the message.

  The special identifier EID_INVALID indicates an invalid environment ID. This may be used to initialize values that are subsequently checked for validity.

flags
  Type: System..::.UInt32
  XXX: TBD

#### Return Value

0 on success and non-zero on failure

# See Also

BerkeleyDB Namespace